### Name: splitString
### Title: Split a string at the location(s) of a delimiting string, at the
###   single characters of a delimiter
### Aliases: splitString getSubs cv vc
### Keywords: character

### ** Examples

nj.string <- " 12.345   1.2345E+02  0.123"
splitString(nj.string," ",clean=TRUE)
  # [1] "12.345"     "1.2345E+02" "0.123"
splitString(nj.string,"3",clean=TRUE)
  # [1] " 12."         "45   1.2"     "45E+02  0.12"

as.numeric(getSubs(" 12.345   1.2345E+02  0.123", sep=" ")) # [1]  12.345 123.450   0.123

rev(getSubs("I want to grab this number as is 4E+03", " "))[1] #  "4E+03"

#For a vector of character strings, with the same number of elements in each string use:

x <- c(" 12.345   1.2345E+02  0.123"," 2 4.56   5.67")
c(apply(matrix(x), 1, getSubs, " "))
# [1] "12.345"     "1.2345E+02" "0.123"  "2"    "4.56"   "5.67" 

#else use:

y <- c(" 12.345   1.2345E+02  0.123", " 5 3.56")                
unlist(apply(matrix(y), 1, getSubs, " "))
#  "12.345"     "1.2345E+02" "0.123"      "5"          "3.56"   

cv("I love you")  # [1] "I" " " "l" "o" "v" "e" " " "y" "o" "u"
vc(rev(cv("I love you"))) # "uoy evol I"



